%define module_name AnyMQ-RawSocket
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Any/Moose.pm) perl(AnyEvent/Handle.pm) perl(AnyEvent/Socket.pm) perl(AnyMQ.pm) perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Moose.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt2
Summary: AnyMQ using just a socket and JSON.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/R/RE/REVMISCHA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
my $bus = AnyMQ->new_with_traits(
      traits  => ['RawSocket'],

      # listener socket
      address => '0.0.0.0:4000',
  );

  # see AnyMQ docs for usage

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md
%perl_vendor_privlib/A*

%changelog
* Sat Oct 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2
- updated summary

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

